Pier Angelo Vendrame pushed to branch tor-browser-128.4.0esr-14.5-1 at The Tor Project / Applications / Tor Browser
Commits:
e4f6dd28 by Beatriz Rizental at 2024-11-19T18:56:38+01:00
fixup! Add CI for Tor Browser
Add missing dependency to CI base container.
- - - - -
1 changed file:
- .gitlab/ci/containers/base/Containerfile
Changes:
=====================================
.gitlab/ci/containers/base/Containerfile
=====================================
@@ -23,6 +23,7 @@ RUN apt-get update && apt-get install -y \
libxi-dev \
libxrandr-dev \
libxtst-dev \
+ make \
m4 \
mercurial \
nasm \
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/e4f6dd2…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/e4f6dd2…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
4c1be3be by Morgan at 2024-11-18T22:17:10+00:00
Update release prep issue templates
- added directions on using the ./tools/browser/sign-tag script
- removed some extraneous checkboxes
- made Run: directives consistent
- fixed some typos
- - - - -
5 changed files:
- .gitlab/issue_templates/Release Prep - Mullvad Browser Alpha.md
- .gitlab/issue_templates/Release Prep - Mullvad Browser Stable.md
- .gitlab/issue_templates/Release Prep - Tor Browser Alpha.md
- .gitlab/issue_templates/Release Prep - Tor Browser Legacy.md
- .gitlab/issue_templates/Release Prep - Tor Browser Stable.md
Changes:
=====================================
.gitlab/issue_templates/Release Prep - Mullvad Browser Alpha.md
=====================================
@@ -41,13 +41,17 @@
- [ ] Tag `mullvad-browser` commit:
- **example**: `mullvad-browser-128.4.0esr-14.5-1-build1`
+ - Run:
+ ```bash
+ ./tools/browser/sign-tag.mullvadbrowser alpha ${BUILD_N}
+ ```
### tor-browser-build: https://gitlab.torproject.org/tpo/applications/tor-browser-build.git
Mullvad Browser Alpha (and Nightly) are on the `main` branch
- [ ] Changelog bookkeeping:
- - [ ] Ensure all commits to `mullvad-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
- - [ ] Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
+ - Ensure all commits to `mullvad-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
+ - Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
- [ ] Create a release preparation branch from the `main` branch
- [ ] Run release preparation script:
- **NOTE**: You can omit the `--mullvad-browser` argument if this is for a joint Tor and Mullvad Browser release
@@ -71,24 +75,24 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
- [ ] `steps/base-browser/git_hash`: updated with `HEAD` commit of project's `base-browser` branch
- [ ] `steps/mullvad-browser/git_hash`: updated with `HEAD` commit of project's `mullvad-browser` branch
- [ ] ***(Optional)*** `projects/browser/config`:
- - [ ] NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
+ - [ ] ***(Optional)*** NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
- - [ ] uBlock-origin: https://addons.mozilla.org/en-US/firefox/addon/ublock-origin
+ - [ ] ***(Optional)*** uBlock-origin: https://addons.mozilla.org/en-US/firefox/addon/ublock-origin
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
- - [ ] Mullvad Browser extension: https://github.com/mullvad/browser-extension/releases
+ - [ ] ***(Optional)*** Mullvad Browser extension: https://github.com/mullvad/browser-extension/releases
- [ ] `URL` updated
- [ ] `sha256sum` updated
- [ ] `ChangeLog-MB.txt`: ensure correctness
- - [ ] Browser name correct
- - [ ] Release date correct
- - [ ] No Android updates
- - [ ] All issues added under correct platform
- - [ ] ESR updates correct
- - [ ] Component updates correct
+ - Browser name correct
+ - Release date correct
+ - No Android updates
+ - All issues added under correct platform
+ - ESR updates correct
+ - Component updates correct
- [ ] Open MR with above changes, using the template for release preparations
- **NOTE**: target the `main` branch
- [ ] Merge
@@ -99,13 +103,13 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
- ma1
- morgan
- pierov
- - [ ] Run:
+ - Run:
```bash
make mullvadbrowser-signtag-alpha
```
- - [ ] Push tag to `upstream`
+- [ ] Push tag to `upstream`
- [ ] Build the tag:
- - [ ] Run:
+ - Run:
```bash
make mullvadbrowser-alpha && make mullvadbrowser-incrementals-alpha
```
@@ -113,8 +117,8 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
- [ ] Local developer machine
- [ ] Submit build request to Mullvad infrastructure:
- **NOTE** this requires a devmole authentication token
- - **NOTE** this also requires you be connected to a Swedish Mulvad VPN exit
- - [ ] Run:
+ - **NOTE** this also requires you be connected to Gothenburg Mulvad VPN exit `se-got-wg-101`
+ - Run:
```bash
make mullvadbrowser-kick-devmole-build
```
@@ -148,7 +152,7 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
- `tbb_version_type`: either `alpha` for alpha releases or `release` for stable releases
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, ensure tor daemon is running with SOCKS5 proxy on the default port 9050
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, run do-all-signing script:
- - [ ] Run:
+ - Run:
```bash
cd tor-browser-build/tools/signing/ && ./do-all-signing.mullvadbrowser
```
@@ -162,7 +166,7 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
### website
- [ ] On `staticiforme.torproject.org`, remove old release and publish new:
- [ ] `/srv/dist-master.torproject.org/htdocs/mullvadbrowser`
- - [ ] Run:
+ - Run:
```bash
static-update-component dist.torproject.org
```
@@ -200,7 +204,7 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
- Mullvad support alias: support(a)mullvadvpn.net
- Rui Hildt: rui(a)mullvad.net
```
- support(a)mullvadvpn.net rui(a)mullvad.net
+ support(a)mullvadvpn.net, rui(a)mullvad.net,
```
- **Subject**
```
@@ -228,7 +232,7 @@ Mullvad Browser Alpha (and Nightly) are on the `main` branch
- arch package maintainer: bootctl(a)gmail.com
- nixOS package maintainer: dev(a)felschr.com
```
- proletarius101(a)protonmail.com bootctl(a)gmail.com dev(a)felschr.com
+ proletarius101(a)protonmail.com, bootctl(a)gmail.com, dev(a)felschr.com,
```
- **Subject**
```
=====================================
.gitlab/issue_templates/Release Prep - Mullvad Browser Stable.md
=====================================
@@ -41,13 +41,17 @@
- [ ] Tag `mullvad-browser` commit:
- **example**: `mullvad-browser-128.3.0esr-14.0-1-build1`
+ - Run:
+ ```bash
+ ./tools/browser/sign-tag.mullvadbrowser stable ${BUILD_N}
+ ```
### tor-browser-build: https://gitlab.torproject.org/tpo/applications/tor-browser-build.git
Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWSER_MINOR}` branch
- [ ] Changelog bookkeeping:
- - [ ] Ensure all commits to `mullvad-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
- - [ ] Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
+ - Ensure all commits to `mullvad-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
+ - Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
- [ ] Create a release preparation branch from the current `maint-XX.Y` branch
- [ ] Run release preparation script:
- **NOTE**: You can omit the `--mullvad-browser` argument if this is for a joint Tor and Mullvad Browser release
@@ -71,24 +75,24 @@ Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWS
- [ ] `steps/base-browser/git_hash`: updated with `HEAD` commit of project's `base-browser` branch
- [ ] `steps/mullvad-browser/git_hash`: updated with `HEAD` commit of project's `mullvad-browser` branch
- [ ] ***(Optional)*** `projects/browser/config`:
- - [ ] NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
+ - [ ] ***(Optional)*** NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
- - [ ] uBlock-origin: https://addons.mozilla.org/en-US/firefox/addon/ublock-origin
+ - [ ] ***(Optional)*** uBlock-origin: https://addons.mozilla.org/en-US/firefox/addon/ublock-origin
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
- - [ ] Mullvad Browser extension: https://github.com/mullvad/browser-extension/releases
+ - [ ] ***(Optional)*** Mullvad Browser extension: https://github.com/mullvad/browser-extension/releases
- [ ] `URL` updated
- [ ] `sha256sum` updated
- [ ] `ChangeLog-MB.txt`: ensure correctness
- - [ ] Browser name correct
- - [ ] Release date correct
- - [ ] No Android updates
- - [ ] All issues added under correct platform
- - [ ] ESR updates correct
- - [ ] Component updates correct
+ - Browser name correct
+ - Release date correct
+ - No Android updates
+ - All issues added under correct platform
+ - ESR updates correct
+ - Component updates correct
- [ ] Open MR with above changes, using the template for release preparations
- **NOTE**: target the `maint-14.0` branch
- [ ] Merge
@@ -99,22 +103,22 @@ Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWS
- ma1
- morgan
- pierov
- - [ ] Run:
+ - Run:
```bash
make mullvadbrowser-signtag-release
```
- - [ ] Push tag to `upstream`
+- [ ] Push tag to `upstream`
- [ ] Build the tag:
- - [ ] Run:
+ - Run:
```bash
make mullvadbrowser-release && make mullvadbrowser-incrementals-release
```
- - [ ] Tor Project build machine
- - [ ] Local developer machine
+ - Tor Project build machine
+ - Local developer machine
- [ ] Submit build request to Mullvad infrastructure:
- **NOTE** this requires a devmole authentication token
- - **NOTE** this also requires you be connected to a Swedish Mulvad VPN exit
- - [ ] Run:
+ - **NOTE** this also requires you be connected to Gothenburg Mulvad VPN exit `se-got-wg-101`
+ - Run:
```bash
make mullvadbrowser-kick-devmole-build
```
@@ -148,7 +152,7 @@ Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWS
- `tbb_version_type`: either `alpha` for alpha releases or `release` for stable releases
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, ensure tor daemon is running with SOCKS5 proxy on the default port 9050
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, run do-all-signing script:
- - [ ] Run:
+ - Run:
```bash
cd tor-browser-build/tools/signing/ && ./do-all-signing.mullvadbrowser
```
@@ -162,7 +166,7 @@ Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWS
### website
- [ ] On `staticiforme.torproject.org`, remove old release and publish new:
- [ ] `/srv/dist-master.torproject.org/htdocs/mullvadbrowser`
- - [ ] Run:
+ - Run:
```bash
static-update-component dist.torproject.org
```
@@ -200,7 +204,7 @@ Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWS
- Mullvad support alias: support(a)mullvadvpn.net
- Rui Hildt: rui(a)mullvad.net
```
- support(a)mullvadvpn.net rui(a)mullvad.net
+ support(a)mullvadvpn.net, rui(a)mullvad.net
```
- **Subject**
```
@@ -227,7 +231,7 @@ Mullvad Browser Stable is on the `maint-${MULLVAD_BROWSER_MAJOR}.${MULLVAD_BROWS
- arch package maintainer: bootctl(a)gmail.com
- nixOS package maintainer: dev(a)felschr.com
```
- proletarius101(a)protonmail.com bootctl(a)gmail.com dev(a)felschr.com
+ proletarius101(a)protonmail.com, bootctl(a)gmail.com, dev(a)felschr.com,
```
- **Subject**
```
=====================================
.gitlab/issue_templates/Release Prep - Tor Browser Alpha.md
=====================================
@@ -41,13 +41,17 @@
- [ ] Tag `tor-browser` in tor-browser.git
- **example**: `tor-browser-128.4.0esr-14.5-1-build1`
+ - Run:
+ ```bash
+ ./tools/browser/sign-tag.torbrowser alpha ${BUILD_N}
+ ```
### tor-browser-build: https://gitlab.torproject.org/tpo/applications/tor-browser-build.git
Tor Browser Alpha (and Nightly) are on the `main` branch
- [ ] Changelog bookkeeping:
- - [ ] Ensure all commits to `tor-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
- - [ ] Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Android, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
+ - Ensure all commits to `tor-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
+ - Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Android, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
- [ ] Create a release preparation branch from the `main` branch
- [ ] Run release preparation script:
- **NOTE**: You can omit the `--tor-browser` argument if this is for a jointt Tor and Mullvad Browser release
@@ -75,7 +79,7 @@ Tor Browser Alpha (and Nightly) are on the `main` branch
- [ ] `steps/tor-browser/git_hash`: updated with `HEAD` commit of project's `tor-browser` branch
- [ ] `steps/fenix/git_hash`: updated with `HEAD` commit of project's `fenix-torbrowserstringsxml` branch
- [ ] ***(Optional)*** `projects/browser/config`:
- - [ ] NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
+ - [ ] ***(Optional)*** NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
@@ -101,18 +105,18 @@ Tor Browser Alpha (and Nightly) are on the `main` branch
- [ ] `input_files/shasum` for `manual`: updated to manual hash
- [ ] Upload the downloaded `manual_${PIPELINEID}.zip` file to `tb-build-02.torproject.org`
- [ ] Deploy to `tb-builder`'s `public_html` directory:
- - [ ] Run:
+ - Run:
```bash
sudo -u tb-builder cp manual_${PIPELINEID}.zip ~tb-builder/public_html/.
```
- `sudo` documentation for TPO machines: https://gitlab.torproject.org/tpo/tpa/team/-/wikis/doc/accounts#changingres…
- [ ] `ChangeLog-TBB.txt`: ensure correctness
- - [ ] Browser name correct
- - [ ] Release date correct
- - [ ] No Android updates on a desktop-only release and vice-versa
- - [ ] All issues added under correct platform
- - [ ] ESR updates correct
- - [ ] Component updates correct
+ - Browser name correct
+ - Release date correct
+ - No Android updates on a desktop-only release and vice-versa
+ - All issues added under correct platform
+ - ESR updates correct
+ - Component updates correct
- [ ] Open MR with above changes, using the template for release preparations
- **NOTE**: target the `main` branch
- [ ] Merge
@@ -123,13 +127,13 @@ Tor Browser Alpha (and Nightly) are on the `main` branch
- ma1
- morgan
- pierov
- - [ ] Run:
+ - Run:
```bash
make torbrowser-signtag-alpha
```
- - [ ] Push tag to `upstream`
+- [ ] Push tag to `upstream`
- [ ] Build the tag:
- - [ ] Run:
+ - Run:
```bash
make torbrowser-alpha && make torbrowser-incrementals-alpha
```
@@ -137,8 +141,8 @@ Tor Browser Alpha (and Nightly) are on the `main` branch
- [ ] Local developer machine
- [ ] Submit build request to Mullvad infrastructure:
- **NOTE** this requires a devmole authentication token
- - **NOTE** this also requires you be connected to a Swedish Mulvad VPN exit
- - [ ] Run:
+ - **NOTE** this also requires you be connected to Gothenburg Mulvad VPN exit `se-got-wg-101`
+ - Run:
```bash
make torbrowser-kick-devmole-build
```
@@ -160,9 +164,14 @@ Tor Browser Alpha (and Nightly) are on the `main` branch
- **⚠️ WARNING**: Do not deploy yet!
### blog: https://gitlab.torproject.org/tpo/web/blog.git
- - [ ] Run `tools/signing/create-blog-post` which should create the new blog post from a template (edit set-config.blog to set you local blog directory)
- - [ ] Note any ESR update
- - [ ] Thank any users which have contributed patches
+ - [ ] Generate release blog post
+ - Run:
+ ```bash
+ ./tools/signing/create-blog-post.torbrowser
+ ```
+ - **NOTE** this script creates the new blog post from a template (edit `./tools/signing/set-config.blog` to set you local blog directory)
+ - [ ] **(Optional)** Note any ESR update
+ - [ ] **(Optional)** Thank any users which have contributed patches
- [ ] **(Optional)** Draft any additional sections for new features which need testing, known issues, etc
- [ ] Push to origin as new branch and open MR
- [ ] Review
@@ -198,7 +207,7 @@ Tor Browser Alpha (and Nightly) are on the `main` branch
- `tbb_version_type`: either `alpha` for alpha releases or `release` for stable releases
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, ensure tor daemon is running with SOCKS5 proxy on the default port 9050
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, run do-all-signing script:
- - [ ] Run:
+ - Run:
```bash
cd tor-browser-build/tools/signing/ && ./do-all-signing.torbrowser
```
@@ -244,14 +253,14 @@ popd
### website
- [ ] On `staticiforme.torproject.org`, static update components:
- - [ ] Run:
+ - Run:
```bash
static-update-component cdn.torproject.org && static-update-component dist.torproject.org
```
- [ ] Deploy `tor-website` MR
- [ ] Deploy `tor-blog` MR
- [ ] On `staticiforme.torproject.org`, enable update responses:
- - [ ] Run:
+ - Run:
```bash
sudo -u tb-release ./deploy_update_responses-alpha.sh
```
@@ -259,7 +268,7 @@ popd
- **NOTE**: Skip this step if we need to hold on to older versions for some reason (for example, this is an Andoid or Desktop-only release, or if we need to hold back installers in favor of build-to-build updates if there are signing issues, etc)
- [ ] `/srv/cdn-master.torproject.org/htdocs/aus1/torbrowser`
- [ ] `/srv/dist-master.torproject.org/htdocs/torbrowser`
- - [ ] Run:
+ - Run:
```bash
static-update-component cdn.torproject.org && static-update-component dist.torproject.org
```
@@ -314,7 +323,7 @@ popd
- torbrowser-launcher: mail(a)asciiwolf.com <!-- Gitlab user asciiwolf -->
- Anti-Censorship: meskio(a)torproject.org <!-- Gitlab user meskio -->
```
- tails-dev(a)boum.org nathan(a)guardianproject.info freebsd(a)sysctl.cz caspar(a)schutijser.com mail(a)asciiwolf.com meskio(a)torproject.org
+ tails-dev(a)boum.org, nathan(a)guardianproject.info, freebsd(a)sysctl.cz, caspar(a)schutijser.com, mail(a)asciiwolf.com, meskio(a)torproject.org,
```
- **Subject**
```
=====================================
.gitlab/issue_templates/Release Prep - Tor Browser Legacy.md
=====================================
@@ -40,13 +40,17 @@
- [ ] Tag `tor-browser` in tor-browser.git
- **example**: `tor-browser-115.17.0esr-13.5-1-build1`
+ - Run:
+ ```bash
+ ./tools/browser/sign-tag.torbrowser legacy ${BUILD_N}
+ ```
### tor-browser-build: https://gitlab.torproject.org/tpo/applications/tor-browser-build.git
Tor Browser Legacy is on the `maint-13.5` branch
- [ ] Changelog bookkeeping:
- - [ ] Ensure all commits to `tor-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
- - [ ] Ensure each issue has a platform (~Windows, ~MacOS, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
+ - Ensure all commits to `tor-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
+ - Ensure each issue has a platform (~Windows, ~MacOS, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
- [ ] Create a release preparation branch from the `maint-13.5` branch
- [ ] Run release preparation script:
- **⚠️ WARNING**: You may need to manually update the `firefox/config` file's `browser_build` field if `tor-browser.git` has not yet been tagged (e.g. if security backports have not yet been merged and tagged)
@@ -69,7 +73,7 @@ Tor Browser Legacy is on the `maint-13.5` branch
- [ ] `steps/base-browser/git_hash`: updated with `HEAD` commit of project's `base-browser` branch
- [ ] `steps/tor-browser/git_hash`: updated with `HEAD` commit of project's `tor-browser` branch
- [ ] ***(Optional)*** `projects/browser/config`:
- - [ ] NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
+ - [ ] ***(Optional)*** NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
@@ -94,18 +98,18 @@ Tor Browser Legacy is on the `maint-13.5` branch
- [ ] `input_files/shasum` for `manual`: updated to manual hash
- [ ] Upload the downloaded `manual_${PIPELINEID}.zip` file to `tb-build-02.torproject.org`
- [ ] Deploy to `tb-builder`'s `public_html` directory:
- - [ ] Run:
+ - Run:
```bash
sudo -u tb-builder cp manual_${PIPELINEID}.zip ~tb-builder/public_html/.
```
- `sudo` documentation for TPO machines: https://gitlab.torproject.org/tpo/tpa/team/-/wikis/doc/accounts#changingres…
- [ ] `ChangeLog-TBB.txt`: ensure correctness
- - [ ] Browser name correct
- - [ ] Release date correct
- - [ ] No Android updates
- - [ ] All issues added under correct platform
- - [ ] ESR updates correct
- - [ ] Component updates correct
+ - Browser name correct
+ - Release date correct
+ - No Android updates
+ - All issues added under correct platform
+ - ESR updates correct
+ - Component updates correct
- [ ] Open MR with above changes, using the template for release preparations
- **NOTE**: target the `maint-13.5` branch
- [ ] Merge
@@ -116,13 +120,13 @@ Tor Browser Legacy is on the `maint-13.5` branch
- ma1
- morgan
- pierov
- - [ ] Run:
+ - Run:
```bash
make torbrowser-signtag-release
```
- - [ ] Push tag to `upstream`
+- [ ] Push tag to `upstream`
- [ ] Build the tag:
- - [ ] Run:
+ - Run:
```bash
make torbrowser-release && make torbrowser-incrementals-release
```
@@ -130,8 +134,8 @@ Tor Browser Legacy is on the `maint-13.5` branch
- [ ] Local developer machine
- [ ] Submit build request to Mullvad infrastructure:
- **NOTE** this requires a devmole authentication token
- - **NOTE** this also requires you be connected to a Swedish Mulvad VPN exit
- - [ ] Run:
+ - **NOTE** this also requires you be connected to Gothenburg Mulvad VPN exit `se-got-wg-101`
+ - Run:
```bash
make torbrowser-kick-devmole-build
```
@@ -142,9 +146,14 @@ Tor Browser Legacy is on the `maint-13.5` branch
<summary>Website</summary>
### blog: https://gitlab.torproject.org/tpo/web/blog.git
- - [ ] Run `tools/signing/create-blog-post` which should create the new blog post from a template (edit set-config.blog to set you local blog directory)
- - [ ] Note any ESR update
- - [ ] Thank any users which have contributed patches
+ - [ ] Generate release blog post
+ - Run:
+ ```bash
+ ./tools/signing/create-blog-post.torbrowser
+ ```
+ - **NOTE** this script creates the new blog post from a template (edit `./tools/signing/set-config.blog` to set you local blog directory)
+ - [ ] **(Optional)** Note any ESR update
+ - [ ] **(Optional)** Thank any users which have contributed patches
- [ ] **(Optional)** Draft any additional sections for new features which need testing, known issues, etc
- [ ] Push to origin as new branch and open MR
- [ ] Review
@@ -178,7 +187,7 @@ Tor Browser Legacy is on the `maint-13.5` branch
- `tbb_version_type`: either `alpha` for alpha releases or `release` for stable releases
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, ensure tor daemon is running with SOCKS5 proxy on the default port 9050
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, run do-all-signing script:
- - [ ] Run:
+ - Run:
```bash
cd tor-browser-build/tools/signing/ && ./do-all-signing.torbrowser
```
@@ -224,7 +233,7 @@ popd
### website
- [ ] On `staticiforme.torproject.org`, static update components:
- - [ ] Run:
+ - Run:
```bash
static-update-component cdn.torproject.org && static-update-component dist.torproject.org
```
@@ -233,7 +242,7 @@ popd
- **NOTE**: Skip this step if we need to hold on to older versions for some reason (for example, this is an Andoid or Desktop-only release, or if we need to hold back installers in favor of build-to-build updates if there are signing issues, etc)
- [ ] `/srv/cdn-master.torproject.org/htdocs/aus1/torbrowser`
- [ ] `/srv/dist-master.torproject.org/htdocs/torbrowser`
- - [ ] Run:
+ - Run:
```bash
static-update-component cdn.torproject.org && static-update-component dist.torproject.org
```
@@ -247,12 +256,12 @@ popd
- [ ] `var/torbrowser_legacy_platform_version`: update to `${ESR_VERSION}`
- **NOTE** this is ESR version for the legacy branch, not the 14.0 branch
- [ ] Generate update responses:
- - [ ] Run:
+ - Run:
```bash
make torbrowser-update_responses-release
```
- [ ] Commit new update responses to tor-browser-update-responses.git:
- - [ ] Run:
+ - Run:
```bash
updaterespdir=/path/to/tor-browser-update-responses.git
cp torbrowser/release/update-responses/update-responses-release-${TOR_BROWSER_VERSION}.tar "$updaterespdir"
=====================================
.gitlab/issue_templates/Release Prep - Tor Browser Stable.md
=====================================
@@ -41,13 +41,17 @@
- [ ] Tag `tor-browser` in tor-browser.git
- **example**: `tor-browser-128.4.0esr-14.0-1-build1`
+ - Run:
+ ```bash
+ ./tools/browser/sign-tag.torbrowser stable ${BUILD_N}
+ ```
### tor-browser-build: https://gitlab.torproject.org/tpo/applications/tor-browser-build.git
Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` branch
- [ ] Changelog bookkeeping:
- - [ ] Ensure all commits to `tor-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
- - [ ] Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Android, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
+ - Ensure all commits to `tor-browser` and `tor-browser-build` for this release have an associated issue linked to this release preparation issue
+ - Ensure each issue has a platform (~Windows, ~MacOS, ~Linux, ~Android, ~Desktop, ~"All Platforms") and potentially ~"Build System" labels
- [ ] Create a release preparation branch from the current `maint-XX.Y` branch
- [ ] Run release preparation script:
- **NOTE**: You can omit the `--tor-browser` argument if this is for a joint Tor and Mullvad Browser release
@@ -64,9 +68,9 @@ Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` b
- [ ] ***(Desktop Only)*** `var/torbrowser_incremental_from`: updated to previous Desktop version
- **NOTE**: We try to build incrementals for the previous 3 desktop versions
- **⚠️ WARNING**: Really *actually* make sure this is the previous Desktop version or else the `make torbrowser-incrementals-*` step will fail
-- [ ] `projects/firefox/config`
- - [ ] `browser_build`: updated to match `tor-browser` tag
- - [ ] ***(Optional)*** `var/firefox_platform_version`: updated to latest `${ESR_VERSION}` if rebased
+ - [ ] `projects/firefox/config`
+ - [ ] `browser_build`: updated to match `tor-browser` tag
+ - [ ] ***(Optional)*** `var/firefox_platform_version`: updated to latest `${ESR_VERSION}` if rebased
- [ ] `projects/geckoview/config`
- [ ] `browser_build`: updated to match `tor-browser` tag
- [ ] ***(Optional)*** `var/firefox_platform_version`: updated to latest `${ESR_VERSION}` if rebased
@@ -75,7 +79,7 @@ Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` b
- [ ] `steps/tor-browser/git_hash`: updated with `HEAD` commit of project's `tor-browser` branch
- [ ] `steps/fenix/git_hash`: updated with `HEAD` commit of project's `fenix-torbrowserstringsxml` branch
- [ ] ***(Optional)*** `projects/browser/config`:
- - [ ] NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
+ - [ ] ***(Optional)*** NoScript: https://addons.mozilla.org/en-US/firefox/addon/noscript
- [ ] `URL` updated
- **⚠️ WARNING**: If preparing the release manually, updating the version number in the url is not sufficient, as each version has a random unique id in the download url
- [ ] `sha256sum` updated
@@ -101,18 +105,18 @@ Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` b
- [ ] `input_files/shasum` for `manual`: updated to manual hash
- [ ] Upload the downloaded `manual_${PIPELINEID}.zip` file to `tb-build-02.torproject.org`
- [ ] Deploy to `tb-builder`'s `public_html` directory:
- - [ ] Run:
+ - Run:
```bash
sudo -u tb-builder cp manual_${PIPELINEID}.zip ~tb-builder/public_html/.
```
- `sudo` documentation for TPO machines: https://gitlab.torproject.org/tpo/tpa/team/-/wikis/doc/accounts#changingres…
- [ ] `ChangeLog-TBB.txt`: ensure correctness
- - [ ] Browser name correct
- - [ ] Release date correct
- - [ ] No Android updates on a desktop-only release and vice-versa
- - [ ] All issues added under correct platform
- - [ ] ESR updates correct
- - [ ] Component updates correct
+ - Browser name correct
+ - Release date correct
+ - No Android updates on a desktop-only release and vice-versa
+ - All issues added under correct platform
+ - ESR updates correct
+ - Component updates correct
- [ ] Open MR with above changes, using the template for release preparations
- **NOTE**: target the `maint-14.0` branch
- [ ] Merge
@@ -123,22 +127,22 @@ Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` b
- ma1
- morgan
- pierov
- - [ ] Run:
+ - Run:
```bash
make torbrowser-signtag-release
```
- - [ ] Push tag to `upstream`
+- [ ] Push tag to `upstream`
- [ ] Build the tag:
- - [ ] Run:
+ - Run:
```bash
make torbrowser-release && make torbrowser-incrementals-release
```
- - [ ] Tor Project build machine
- - [ ] Local developer machine
+ - Tor Project build machine
+ - Local developer machine
- [ ] Submit build request to Mullvad infrastructure:
- **NOTE** this requires a devmole authentication token
- - **NOTE** this also requires you be connected to a Swedish Mulvad VPN exit
- - [ ] Run:
+ - **NOTE** this also requires you be connected to Gothenburg Mulvad VPN exit `se-got-wg-101`
+ - Run:
```bash
make torbrowser-kick-devmole-build
```
@@ -160,9 +164,14 @@ Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` b
- **⚠️ WARNING**: Do not deploy yet!
### blog: https://gitlab.torproject.org/tpo/web/blog.git
- - [ ] Run `tools/signing/create-blog-post` which should create the new blog post from a template (edit set-config.blog to set you local blog directory)
- - [ ] Note any ESR update
- - [ ] Thank any users which have contributed patches
+ - [ ] Generate release blog post
+ - Run:
+ ```bash
+ ./tools/signing/create-blog-post.torbrowser
+ ```
+ - **NOTE** this script creates the new blog post from a template (edit `./tools/signing/set-config.blog` to set you local blog directory)
+ - [ ] **(Optional)** Note any ESR update
+ - [ ] **(Optional)** Thank any users which have contributed patches
- [ ] **(Optional)** Draft any additional sections for new features which need testing, known issues, etc
- [ ] Push to origin as new branch and open MR
- [ ] Review
@@ -201,7 +210,7 @@ Tor Browser Stable is on the `maint-${TOR_BROWSER_MAJOR}.${TOR_BROWSER_MINOR}` b
- `tbb_version_type`: either `alpha` for alpha releases or `release` for stable releases
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, ensure tor daemon is running with SOCKS5 proxy on the default port 9050
- [ ] On `${STAGING_SERVER}` in a separate `screen` session, run do-all-signing script:
- - [ ] Run:
+ - Run:
```bash
cd tor-browser-build/tools/signing/ && ./do-all-signing.torbrowser
```
@@ -247,14 +256,14 @@ popd
### website
- [ ] On `staticiforme.torproject.org`, static update components:
- - [ ] Run:
+ - Run:
```bash
static-update-component cdn.torproject.org && static-update-component dist.torproject.org
```
- [ ] Deploy `tor-website` MR
- [ ] Deploy `tor-blog` MR
- [ ] On `staticiforme.torproject.org`, enable update responses:
- - [ ] Run:
+ - Run:
```bash
sudo -u tb-release ./deploy_update_responses-release.sh
```
@@ -262,7 +271,7 @@ popd
- **NOTE**: Skip this step if we need to hold on to older versions for some reason (for example, this is an Andoid or Desktop-only release, or if we need to hold back installers in favor of build-to-build updates if there are signing issues, etc)
- [ ] `/srv/cdn-master.torproject.org/htdocs/aus1/torbrowser`
- [ ] `/srv/dist-master.torproject.org/htdocs/torbrowser`
- - [ ] Run:
+ - Run:
```bash
static-update-component cdn.torproject.org && static-update-component dist.torproject.org
```
@@ -317,7 +326,7 @@ popd
- torbrowser-launcher: mail(a)asciiwolf.com <!-- Gitlab user asciiwolf -->
- Anti-Censorship: meskio(a)torproject.org <!-- Gitlab user meskio -->
```
- tails-dev(a)boum.org nathan(a)guardianproject.info freebsd(a)sysctl.cz caspar(a)schutijser.com mail(a)asciiwolf.com meskio(a)torproject.org
+ tails-dev(a)boum.org, nathan(a)guardianproject.info, freebsd(a)sysctl.cz, caspar(a)schutijser.com, mail(a)asciiwolf.com, meskio(a)torproject.org,
```
- **Subject**
```
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch maint-13.5 at The Tor Project / Applications / tor-browser-build
Commits:
a5003c49 by Morgan at 2024-11-18T21:54:33+00:00
Bug 41300: Add bea, clairehurst, and jwilde to tb_builders
- - - - -
1 changed file:
- tools/signing/set-config
Changes:
=====================================
tools/signing/set-config
=====================================
@@ -42,5 +42,5 @@ faketime_path=/usr/lib/x86_64-linux-gnu/faketime/libfaketime.so.1
test -z "${NON_INTERACTIVE:-}" || rsync_progress="--progress"
rsync_options="-avH ${rsync_progress:-} ${DRY_RUN:-}"
-tb_builders='boklm dan henry ma1 pierov richard'
+tb_builders='bea boklm clairehurst dan henry jwilde ma1 morgan pierov'
wrappers_dir=/signing/tor-browser-build/tools/signing/wrappers
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/a…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/a…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch maint-14.0 at The Tor Project / Applications / tor-browser-build
Commits:
08319a10 by Morgan at 2024-11-18T21:53:04+00:00
Bug 41300: Add bea, clairehurst, and jwilde to tb_builders
- - - - -
1 changed file:
- tools/signing/set-config
Changes:
=====================================
tools/signing/set-config
=====================================
@@ -42,5 +42,5 @@ faketime_path=/usr/lib/x86_64-linux-gnu/faketime/libfaketime.so.1
test -z "${NON_INTERACTIVE:-}" || rsync_progress="--progress"
rsync_options="-avH ${rsync_progress:-} ${DRY_RUN:-}"
-tb_builders='boklm dan henry ma1 morgan pierov'
+tb_builders='bea boklm clairehurst dan henry jwilde ma1 morgan pierov'
wrappers_dir=/signing/tor-browser-build/tools/signing/wrappers
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/0…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/0…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
1de8a0a5 by Morgan at 2024-11-18T21:27:37+00:00
Bug 41300: Add bea, clairehurst, and jwilde to tb_builders
- - - - -
1 changed file:
- tools/signing/set-config
Changes:
=====================================
tools/signing/set-config
=====================================
@@ -42,5 +42,5 @@ faketime_path=/usr/lib/x86_64-linux-gnu/faketime/libfaketime.so.1
test -z "${NON_INTERACTIVE:-}" || rsync_progress="--progress"
rsync_options="-avH ${rsync_progress:-} ${DRY_RUN:-}"
-tb_builders='boklm dan henry ma1 morgan pierov'
+tb_builders='bea boklm clairehurst dan henry jwilde ma1 morgan pierov'
wrappers_dir=/signing/tor-browser-build/tools/signing/wrappers
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/1…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/1…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
4cc42848 by Morgan at 2024-11-18T21:20:39+00:00
Bug 41304: Add a browser commit tag+signing script
- - - - -
6 changed files:
- + tools/browser/.gitignore
- + tools/browser/README.md
- + tools/browser/sign-tag
- + tools/browser/sign-tag.basebrowser
- + tools/browser/sign-tag.mullvadbrowser
- + tools/browser/sign-tag.torbrowser
Changes:
=====================================
tools/browser/.gitignore
=====================================
@@ -0,0 +1,3 @@
+basebrowser
+torbrowser
+mullvadbrowser
=====================================
tools/browser/README.md
=====================================
@@ -0,0 +1,65 @@
+# Tools
+
+### sign-tag
+
+This script gpg signs a git tag associated with a particular browser commit in the user's tor-browser.git or mullvad-browser.git repo.
+
+#### Prerequisites
+
+- The user must create the following soft-links:
+ - `/tools/browser/basebrowser` -> `/path/to/local/tor-browser.git`
+ - `/tools/browser/mullvadbrowser` -> `/path/to/local/mullvad-browser.git`
+ - `/tools/browser/torbrowser` -> `/path/to/local/tor-browser.git`
+- The user must first checkout the relevant branch of the commit we are tagging
+ - This is needed to extract the ESR version, branch-number, and browser name
+
+#### Usage
+
+```
+usage: ./tools/browser/sign-tag.<browser> <channel> <build-number> [commit]
+
+browser one of basebrowser, torbrowser, or mullvadbrowser
+channel the release channel of the commit to sign (e.g. alpha, stable,
+ or legacy)
+build-number the build number portion of a browser build tag (e.g. build2)
+commit optional git commit, HEAD is used if argument not present
+```
+
+#### Examples
+Invoke the relevant soft-link'd version of this script to sign a particular browser. The trailing commit argument is optional and if not present, the browser branch's `HEAD` will be tagged+signed.
+
+ - ##### `base-browser-128.4.0esr-14.5-1-build1`
+ After checking out `base-browser-128.4.0esr-14.5-1` branch in linked tor-browser.git
+ ```bash
+ ./sign-tag.basebrowser alpha build1 24e628c1fd3f0593e23334acf55dc81909c30099
+ ```
+ **output**:
+ ```
+ Tag commit 24e628c1fd3f in base-browser-128.4.0esr-14.5-1
+ tag: base-browser-128.4.0esr-14.5-1-build1
+ message: Tagging build1 for 128.4.0esr-based alpha
+ ```
+
+ - ##### `tor-browser-115.17.0esr-13.5-1-build2`
+ After checking out `tor-browser-115.17.0esr-13.5-1` branch in linked tor-browser.git
+ ```bash
+ ./sign-tag.torbrowser legacy build2 8e9e58fe400291f20be5712d057ad0b5fc4d70c1
+ ```
+ **output**:
+ ```
+ Tag commit 8e9e58fe4002 in tor-browser-115.17.0esr-13.5-1
+ tag: tor-browser-115.17.0esr-13.5-1-build2
+ message: Tagging build2 for 115.17.0esr-based legacy
+ ```
+
+ - ##### `mullvad-browser-128.4.0esr-14.0-1-build2`
+ After checking out `mullvad-browser-128.4.0esr-14.0-1` branch in linked mullvad-browser.git
+ ```bash
+ ./sign-tag.mullvadbrowser stable build2 385aa0559a90a258ed6613527ff3e117dfa5ae5b
+ ```
+ **output**:
+ ```
+ Tag commit 385aa0559a90 in mullvad-browser-128.4.0esr-14.0-1
+ tag: mullvad-browser-128.4.0esr-14.0-1-build2
+ message: Tagging build2 for 128.4.0esr-based stable
+ ```
\ No newline at end of file
=====================================
tools/browser/sign-tag
=====================================
@@ -0,0 +1,115 @@
+#!/usr/bin/env bash
+
+# See README.md for usage instructions.
+
+# terminate on error
+set -e
+
+# Check if at least two arguments are provided
+if [ "$#" -lt 2 ]; then
+ echo "Usage: $0 channel build-number [commit]"
+ exit 1
+fi
+
+script_name=$(basename "${BASH_ARGV0:-$0}")
+script_dir=$(dirname "${BASH_ARGV0:-$0}")
+browser=$(echo "$script_name" | perl -pe 's/^[^\.]+\.//')
+
+case "${browser}" in
+ basebrowser | torbrowser | mullvadbrowser)
+ # go down to browser directory
+ pushd ${script_dir}/${browser} > /dev/null
+ # and exit on script termination
+ trap "popd > /dev/null" EXIT
+ ;;
+ *)
+ echo -n "unrecognized browser: '${browser}'"
+ exit 1
+ ;;
+esac
+
+#
+# Branch name validation and extract components from branch name needed for tag
+# and message
+#
+
+branch_name=$(git rev-parse --abbrev-ref HEAD)
+if [[ $branch_name =~ ^([a-z]+-browser)-([1-9][0-9]+\.[0-9]+\.[0-9]+esr)-([1-9][0-9]*\.[05])-([1-9]).*$ ]]; then
+ project="${BASH_REMATCH[1]}"
+ esr="${BASH_REMATCH[2]}"
+ version="${BASH_REMATCH[3]}"
+ branch_number="${BASH_REMATCH[4]}"
+else
+ echo "This script must be run from an official browser branch. For example 'base-browser-128.4.0esr-14.0-1'"
+ exit 1
+fi
+
+#
+# Verify the detected browser matches the name of the current branch
+#
+case "${browser}" in
+ basebrowser)
+ valid_project="base-browser"
+ ;;
+ torbrowser)
+ valid_project="tor-browser"
+ ;;
+ mullvadbrowser)
+ valid_project="mullvad-browser"
+ ;;
+esac
+
+if ! [[ "${project}" == "${valid_project}" ]]; then
+ echo "Invalid branch \"${branch_name}\". Must be a \"${valid_project}\" branch"
+ exit 1
+fi
+
+#
+# Assign arguments to variables
+#
+channel=$1
+build_number=$2
+commit=$(git rev-parse --short ${3:-HEAD})
+
+#
+# Validate arguments
+#
+
+# channel validation
+if [[ "${project}" == "mullvad-browser" ]]; then
+ valid_channels=("alpha" "stable")
+else
+ valid_channels=("alpha" "stable" "legacy")
+fi
+channel_valid=false
+for value in "${valid_channels[@]}"; do
+ if [[ "${channel}" == "${value}" ]]; then
+ channel_valid=true
+ break
+ fi
+done
+
+if ! $channel_valid; then
+ echo "Invalid channel name \"${channel}\". Must be one of: ${valid_channels[*]}"
+ exit 1
+fi
+
+# build number validation
+if ! [[ "${build_number}" =~ ^build[1-9][0-9]*$ ]]; then
+ echo "Invalid build number \"${build_number}\". Must be in the format \"build[1-9][0-9]*\""
+ exit 1
+fi
+
+#
+# Sign and tag the specified git commit
+#
+
+tag="${project}-${esr}-${version}-${branch_number}-${build_number}"
+message="Tagging ${build_number} for ${esr}-based ${channel}"
+
+
+echo "Tag commit ${commit} in ${branch_name}"
+echo " tag: ${tag}"
+echo " message: ${message}"
+
+git tag -s "${tag}" "${commit}" -m "${message}"
=====================================
tools/browser/sign-tag.basebrowser
=====================================
@@ -0,0 +1 @@
+sign-tag
\ No newline at end of file
=====================================
tools/browser/sign-tag.mullvadbrowser
=====================================
@@ -0,0 +1 @@
+sign-tag
\ No newline at end of file
=====================================
tools/browser/sign-tag.torbrowser
=====================================
@@ -0,0 +1 @@
+sign-tag
\ No newline at end of file
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
4dd16b8c by Morgan at 2024-11-14T02:21:36+00:00
Bug 43295: Update MR templates
- - - - -
2 changed files:
- .gitlab/merge_request_templates/default.md
- .gitlab/merge_request_templates/relprep.md
Changes:
=====================================
.gitlab/merge_request_templates/default.md
=====================================
@@ -2,18 +2,34 @@
<!-- Bookkeeping information for release management -->
-### Related Issues
+### Issues
+
+#### Resolves
+- tor-browser-build#xxxxx
- tor-browser#xxxxx
- mullvad-browser#xxxxx
+
+#### Related
- tor-browser-build#xxxxx
+- tor-browser#xxxxx
+- mullvad-browser#xxxxx
+
+### Merging
+
+<!-- This block tells the merger where commits need to be merged and future code archaeologists where commits were *supposed* to be merged -->
+
+#### Target Branches
+ - [ ] **`main`**: esr128-14.5
+ - [ ] **`maint-14.0`**: esr128-14.0
+ - [ ] **`maint-13.5`**: esr115-13.5
### Backporting
#### Timeline
+- [ ] **No Backport (preferred)**: patchset for the next major stable
- [ ] **Immediate**: patchset needed as soon as possible
- [ ] **Next Minor Stable Release**: patchset that needs to be verified in nightly before backport
- [ ] **Eventually**: patchset that needs to be verified in alpha before backport
-- [ ] **No Backport (preferred)**: patchset for the next major stable
#### (Optional) Justification
- [ ] **Emergency security update**: patchset fixes CVEs, 0-days, etc
@@ -50,7 +66,7 @@
- **windows** : jwilde, morgan
- **misc/other** : morgan, pierov
-### Change Description
+#### Change Description
<!-- Whatever context the reviewer needs to effectively review the patchset; if the patch includes UX updates be sure to include screenshots/video of how any new behaviour -->
=====================================
.gitlab/merge_request_templates/relprep.md
=====================================
@@ -1,9 +1,19 @@
-## Related Issues
+## Release Prep
+### Issues
+
+#### Resolves
+
+- tor-browser-build#xxxxx
- tor-browser-build#xxxxx
+
+#### Related
+
- tor-browser-build#xxxxx
+- tor-browser#xxxxx
+- mullvad-browser#xxxxx
-## Self-review + reviewer's template
+### Self-review + reviewer's template
- [ ] `rbm.conf` updates:
- [ ] `var/torbrowser_version`
@@ -15,12 +25,12 @@
- [ ] Tag updates:
- [ ] [Firefox](https://gitlab.torproject.org/tpo/applications/tor-browser/-/tags)
- [ ] Geckoview - should match Firefox
- - Tags might be speculative in the release preparation: i.e., they might not exist yet.
+ - **NOTE**: Tags might be speculative in the release preparation: i.e., they might not exist yet.
- [ ] Addon updates:
- [ ] [NoScript](https://addons.mozilla.org/en-US/firefox/addon/noscript/)
- [ ] [uBlock Origin](https://addons.mozilla.org/en-US/firefox/addon/ublock-origin/) (Mullvad Browser only)
- [ ] [Mullvad Browser Extension](https://github.com/mullvad/browser-extension/releases) (Mullvad Browser only)
- - For AMO extension (NoScript and uBlock), updating the version in the URL is not enough, check that also a numeric ID from the URL has changed
+ - ⚠️ **IMPORTANT**: For AMO extension (NoScript and uBlock), updating the version in the URL is not enough, check that also a numeric ID from the URL has changed
- [ ] Tor and dependencies updates (Tor Browser only)
- [ ] [Tor](https://gitlab.torproject.org/tpo/core/tor/-/tags)
- [ ] [OpenSSL](https://www.openssl.org/source/): we stay on the latest LTS channel (currently 3.0.x)
@@ -39,11 +49,11 @@
- If you find errors such as platform or category (build system) please adjust the issue label accordingly
- You can run `tools/relprep.py --only-changelogs --date $date $version` to update only the changelogs
-## Review
+### Review
-### Request Reviewer
+#### Request Reviewer
- [ ] Request review from a release engineer: boklm, dan, ma1, morgan, pierov
-### Change Description
+#### Change Description
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch mullvad-browser-128.4.0esr-14.5-1 at The Tor Project / Applications / Mullvad Browser
Commits:
8d27898b by Morgan at 2024-11-14T02:01:24+00:00
fixup! MB 188: Customize Gitlab Issue and Merge templates
- - - - -
35c0859d by Morgan at 2024-11-14T02:01:43+00:00
fixup! Adding issue and merge request templates
Bug 43295: Update MR templates
- - - - -
5c8645ae by Morgan at 2024-11-14T02:04:59+00:00
fixup! MB 188: Customize Gitlab Issue and Merge templates
Bug 43295: Update MR templates
- - - - -
4 changed files:
- .gitlab/issue_templates/Emergency Security Issue.md
- − .gitlab/issue_templates/Rebase Browser - Alpha.md
- − .gitlab/issue_templates/Rebase Browser - Stable.md
- .gitlab/merge_request_templates/default.md
Changes:
=====================================
.gitlab/issue_templates/Emergency Security Issue.md
=====================================
@@ -18,7 +18,9 @@
### Type of Issue: What are we dealing with?
- [ ] Security (sandbox escape, remote code execution, etc)
-- [ ] Cross-Site Linkability (correlating sessions across websites)
+- [ ] Proxy Bypass (traffic contents becoming MITM'able)
+- [ ] De-Anonymization (otherwise identifying which website a user is visiting)
+- [ ] Cross-Site Linkability (correlating sessions across circuits and websites)
- [ ] Disk Leak (persisting session information to disk)
- [ ] Other (please explain)
@@ -34,11 +36,16 @@
- [ ] **richard** : signing, release
- [ ] **thorin** : fingerprinting
- [ ] Other Engineering Teams
+ - [ ] Networking (**ahf**, **dgoulet**)
+ - [ ] Anti-Censorship (**meskio**, **cohosh**)
- [ ] UX (**donuts**)
- [ ] TPA (**anarcat**, **lavamind**)
- [ ] External Tor Partners
- - [ ] Mozilla (**tjr**)
- - [ ] Mullvad (**ruihildt**)
+ - [ ] Mozilla
+ - [ ] Mullvad
+ - [ ] Brave
+ - [ ] Guardian Project (Orbot, Onion Browser)
+ - [ ] Tails
- [ ] Other (please list)
### Urgency: When do we need to act?
@@ -65,7 +72,6 @@ Sometimes fixes have side-effects: users lose their data, roadmaps need to be ad
- [ ] Start an initial email thread with the following people:
- [ ] **bella**
- - [ ] **ruihildt**, **support(a)mullvadvpn.net**
- [ ] Relevant Applications Developers
- [ ] **(Optional)** **micah**
- if there are considerations or asks outside the Applications Team
@@ -78,7 +84,6 @@ Sometimes fixes have side-effects: users lose their data, roadmaps need to be ad
/cc @ma1
/cc @micah
/cc @richard
-/cc @ruihildt
/confidential
=====================================
.gitlab/issue_templates/Rebase Browser - Alpha.md deleted
=====================================
@@ -1,83 +0,0 @@
-**NOTE:** All examples in this template reference the rebase from 102.7.0esr to 102.8.0esr
-
-<details>
- <summary>Explanation of Variables</summary>
-
-- `$(ESR_VERSION)`: the Mozilla defined ESR version, used in various places for building mullvad-browser tags, labels, etc
- - **Example**: `102.8.0`
-- `$(ESR_TAG)`: the Mozilla defined hg (Mercurial) tag associated with `$(ESR_VERSION)`
- - **Example**: `FIREFOX_102_8_0esr_RELEASE`
-- `$(BROWSER_MAJOR)`: the browser major version
- - **Example**: `12`
-- `$(BROWSER_MINOR)`: the browser minor version
- - **Example**: either `0` or `5`; Alpha's is always `(Stable + 5) % 10`
-- `$(BASE_BROWSER_BRANCH)`: the full name of the current `base-browser` branch
- - **Example**: `base-browser-102.8.0esr-12.5-1`
-- `$(BASE_BROWSER_BRANCH_PREV)`: the full name of the previous `base-browser` branch
- - **Example**: `base-browser-102.7.0esr-12.5-1`
-- `$(BASE_BROWSER_BRANCH_TAG)`: the `base-browser` build tag used as base commit for `mullvad-browser`
- - **Example**: `base-browser-102.8.0esr-12.5-1-build1`
-- `$(BASE_BROWSER_BRANCH_PREV_TAG)`: the `base-browser` build tag used as base commit for the previous `mullvad-browser`
- - **Example**: `base-browser-102.7.0esr-12.5-1-build1`
-- `$(MULLVAD_BROWSER_BRANCH)`: the full name of the current `mullvad-browser` branch
- - **Example**: `mullvad-browser-102.8.0esr-12.5-1`
-- `$(MULLVAD_BROWSER_BRANCH_PREV)`: the full name of the previous `mullvad-browser` branch
- - **Example**: `mullvad-browser-102.7.0esr-12.5-1`
-</details>
-
-**NOTE:** It is assumed that we've already rebased and tagged `base-browser` alpha and that we've already rebased `mullvad-browser` stable
-
-### **Bookkeeping**
-
-- [ ] Link this issue to the appropriate [Release Prep](https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/is… issue.
-
-### Update Branch Protection Rules
-
-- [ ] In [Repository Settings](https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/…:
- - [ ] Remove previous alpha `mullvad-browser` branch protection rules (this will prevent pushing new changes to the branches being rebased)
- - [ ] Create new `mullvad-browser` branch protection rule:
- - **Branch**: `mullvad-browser-$(ESR_VERSION)esr-$(BROWSER_MAJOR).$(BROWSER_MINOR)-1*`
- - **Example**: `mullvad-browser-102.8.0esr-12.5-1*`
- - **Allowed to merge**: `Maintainers`
- - **Allowed to push and merge**: `Maintainers`
- - **Allowed to force push**: `false`
-
-### **Create and Push New Branch**
-
-- [ ] Create new alpha `mullvad-browser` branch from this ESR's alpha `base-browser` tag
- - Branch name in the form: `mullvad-browser-$(ESR_VERSION)esr-$(BROWSER_MAJOR).$(BROWSER_MINOR)-1`
- - **Example**: `git branch mullvad-browser-102.8.0esr-12.5-1 base-browser-102.8.0esr-12.5-1-build1`
-- [ ] Push new `mullvad-browser` branch to `upstream`
-- [ ] Push `base-browser` tag to `upstream`
-
-### **Rebase tor-browser**
-
-- [ ] Checkout a new local branch for the `mullvad-browser` rebase
- - **Example**: `git branch mullvad-browser-rebase upstream/mullvad-browser-102.8.0esr-12.5-1`
-- [ ] `mullvad-browser` rebase
- - [ ] Cherry-pick the previous `mullvad-browser` branch's commit range up to the last `mullvad-browser` `build1` tag
- - **Example**: `git cherry-pick base-browser-102.7.0esr-12.5-1-build1..mullvad-browser-102.7.0esr-12.5-1-build1`
- - [ ] Rebase and autosquash these newly cherry-picked commits
- - **Example**: `git rebase --autosquash --interactive upstream/mullvad-browser-102.8.0esr-12.5-1`
- - [ ] Cherry-pick remainder of patches after the last `mullvad-browser` `buildN` tag
- - **Example**: `git cherry-pick mullvad-browser-102.7.0esr-12.5-1-build1..upstream/mulvad-browser-102.7.0esr-12.5-1`
- - [ ] Rebase and autosquash again, this time replacing all `fixup` and `squash` commands with `pick`. The goal here is to have all of the `fixup` and `squash` commits beside the commit which they modify, but kept un-squashed for easy debugging/bisecting.
- - **Example**: `git rebase --autosquash --interactive upstream/mullvad-browser-102.8.0esr-12.5-1`
-- [ ] Compare patch sets to ensure nothing *weird* happened during conflict resolution:
- - [ ] diff of diffs:
- - Do the diff between `current_patchset.diff` and `rebased_patchset.diff` with your preferred difftool and look at differences on lines that starts with + or -
- - `git diff $(BASE_BROWSER_BRANCH_PREV_TAG)..$(MULLVAD_BROWSER_BRANCH_PREV) > current_patchset.diff`
- - `git diff $(BASE_BROWSER_BRANCH_TAG)..HEAD > rebased_patchset.diff`
- - diff `current_patchset.diff` and `rebased_patchset.diff`
- - If everything went correctly, the only lines which should differ should be the lines starting with `index abc123...def456` (unless the previous `base-browser` branch includes changes not included in the previous `mullvad-browser` branch)
- - [ ] rangediff: `git range-diff $(BASE_BROWSER_BRANCH_PREV_TAG)..$(MULLVAD_BROWSER_BRANCH_PREV) $(BASE_BROWSER_BRANCH_TAG)..HEAD`
- - **Example**: `git range-diff base-browser-102.7.0esr-12.5-1-build1..upstream/mullvad-browser-102.7.0esr-12.5-1 base-browser-102.8.0esr-12.5-1-build1..HEAD`
-- [ ] Open MR for the `mullvad-browser` rebase
-- [ ] Merge
-
-### **Sign and Tag**
-
-- [ ] Sign/Tag `HEAD` of the merged `mullvad-browser` branch:
- - **Tag**: `mullvad-browser-$(ESR_VERSION)esr-$(BROWSER_MAJOR).$(BROWSER_MINOR)-1-build1`
- - **Message**: `Tagging build1 for $(ESR_VERSION)esr-based stable`
- - [ ] Push tag to `upstream`
=====================================
.gitlab/issue_templates/Rebase Browser - Stable.md deleted
=====================================
@@ -1,84 +0,0 @@
-**NOTE:** All examples in this template reference the rebase from 102.7.0esr to 102.8.0esr
-
-<details>
- <summary>Explanation of Variables</summary>
-
-- `$(ESR_VERSION)`: the Mozilla defined ESR version, used in various places for building mullvad-browser tags, labels, etc
- - **Example**: `102.8.0`
-- `$(ESR_TAG)`: the Mozilla defined hg (Mercurial) tag associated with `$(ESR_VERSION)`
- - **Example**: `FIREFOX_102_8_0esr_RELEASE`
-- `$(BROWSER_MAJOR)`: the browser major version
- - **Example**: `12`
-- `$(BROWSER_MINOR)`: the browser minor version
- - **Example**: either `0` or `5`; Alpha's is always `(Stable + 5) % 10`
-- `$(BASE_BROWSER_BRANCH)`: the full name of the current `base-browser` branch
- - **Example**: `base-browser-102.8.0esr-12.0-1`
-- `$(BASE_BROWSER_BRANCH_PREV)`: the full name of the previous `base-browser` branch
- - **Example**: `base-browser-102.7.0esr-12.0-1`
-- `$(BASE_BROWSER_BRANCH_TAG)`: the `base-browser` build tag used as base commit for `mullvad-browser`
- - **Example**: `base-browser-102.8.0esr-12.0-1-build1`
-- `$(BASE_BROWSER_BRANCH_PREV_TAG)`: the `base-browser` build tag used as base commit for the previous `mullvad-browser`
- - **Example**: `base-browser-102.7.0esr-12.0-1-build1`
-- `$(MULLVAD_BROWSER_BRANCH)`: the full name of the current `mullvad-browser` branch
- - **Example**: `mullvad-browser-102.8.0esr-12.0-1`
-- `$(MULLVAD_BROWSER_BRANCH_PREV)`: the full name of the previous `mullvad-browser` branch
- - **Example**: `mullvad-browser-102.7.0esr-12.0-1`
-</details>
-
-**NOTE:** It is assumed that we've already rebased and tagged `base-browser` stable
-
-### **Bookkeeping**
-
-- [ ] Link this issue to the appropriate [Release Prep](https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/is… issue.
-
-### Update Branch Protection Rules
-
-- [ ] In [Repository Settings](https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/…:
- - [ ] Remove previous stable `mullvad-browser` branch protection rules (this will prevent pushing new changes to the branches being rebased)
- - [ ] Create new `mullvad-browser` branch protection rule:
- - **Branch**: `mullvad-browser-$(ESR_VERSION)esr-$(BROWSER_MAJOR).$(BROWSER_MINOR)-1*`
- - **Example**: `mullvad-browser-102.8.0esr-12.0-1*`
- - **Allowed to merge**: `Maintainers`
- - **Allowed to push and merge**: `Maintainers`
- - **Allowed to force push**: `false`
-
-### **Create and Push New Branch**
-
-- [ ] Create new stable `mullvad-browser` branch from this ESR's stable `base-browser` tag
- - Branch name in the form: `mullvad-browser-$(ESR_VERSION)esr-$(BROWSER_MAJOR).$(BROWSER_MINOR)-1`
- - **Example**: `git branch mullvad-browser-102.8.0esr-12.0-1 base-browser-102.8.0esr-12.0-1-build1`
-- [ ] Push new `mullvad-browser` branch to `upstream`
-- [ ] Push `base-browser` tag to `upstream`
-- [ ] Push `$(ESR_TAG)` to `upstream`
-
-### **Rebase mullvad-browser**
-
-- [ ] Checkout a new local branch for the `mullvad-browser` rebase
- - **Example**: `git branch mullvad-browser-rebase upstream/mullvad-browser-102.8.0esr-12.0-1`
-- [ ] `mullvad-browser` rebase
- - [ ] Cherry-pick the previous `mullvad-browser` branch's commit range up to the last `mullvad-browser` `build1` tag
- - **Example**: `git cherry-pick base-browser-102.7.0esr-12.0-1-build1..mullvad-browser-102.7.0esr-12.0-1-build1`
- - [ ] Rebase and autosquash these newly cherry-picked commits
- - **Example**: `git rebase --autosquash --interactive upstream/mullvad-browser-102.8.0esr-12.0-1`
- - [ ] Cherry-pick remainder of patches after the last `mullvad-browser` `buildN` tag
- - **Example**: `git cherry-pick mullvad-browser-102.7.0esr-12.0-1-build1..upstream/mullvad-browser-102.7.0esr-12.0-1`
- - [ ] Rebase and autosquash again, this time replacing all `fixup` and `squash` commands with `pick`. The goal here is to have all of the `fixup` and `squash` commits beside the commit which they modify, but kept un-squashed for easy debugging/bisecting.
- - **Example**: `git rebase --autosquash --interactive upstream/mullvad-browser-102.8.0esr-12.0-1`
-- [ ] Compare patch sets to ensure nothing *weird* happened during conflict resolution:
- - [ ] diff of diffs:
- - Do the diff between `current_patchset.diff` and `rebased_patchset.diff` with your preferred difftool and look at differences on lines that starts with + or -
- - `git diff $(BASE_BROWSER_BRANCH_PREV_TAG)..$(MULLVAD_BROWSER_BRANCH_PREV) > current_patchset.diff`
- - `git diff $(BASE_BROWSER_BRANCH_TAG)..HEAD > rebased_patchset.diff`
- - diff `current_patchset.diff` and `rebased_patchset.diff`
- - If everything went correctly, the only lines which should differ should be the lines starting with `index abc123...def456` (unless the previous `base-browser` branch includes changes not included in the previous `mullvad-browser` branch)
- - [ ] rangediff: `git range-diff $(BASE_BROWSER_BRANCH_PREV_TAG)..$(MULLVAD_BROWSER_BRANCH_PREV) $(BASE_BROWSER_BRANCH_TAG)..HEAD`
- - **Example**: `git range-diff base-browser-102.7.0esr-12.0-1-build1..upstream/mullvad-browser-102.7.0esr-12.5-1 base-browser-102.8.0esr-12.5-1-build1..HEAD`
-- [ ] Open MR for the `mullvad-browser` rebase
-- [ ] Merge
-
-### **Sign and Tag**
-
-- [ ] Sign/Tag `HEAD` of the merged `mullvad-browser` branch:
- - **Tag**: `mullvad-browser-$(ESR_VERSION)esr-$(BROWSER_MAJOR).$(BROWSER_MINOR)-1-build1`
- - **Message**: `Tagging build1 for $(ESR_VERSION)esr-based stable`
- - [ ] Push tag to `upstream`
=====================================
.gitlab/merge_request_templates/default.md
=====================================
@@ -2,18 +2,41 @@
<!-- Bookkeeping information for release management -->
-### Related Issues
+### Issues
+
+#### Resolves
+- mullvad-browser#xxxxx
- tor-browser#xxxxx
+- tor-browser-build#xxxxx
+
+#### Related
+
- mullvad-browser#xxxxx
+- tor-browser#xxxxx
- tor-browser-build#xxxxx
+### Merging
+
+<!-- This block tells the merger where commits need to be merged and future code archaeologists where commits were *supposed* to be merged -->
+
+#### Target Branches
+
+- [ ] **`mullvad-browser`** - `!fixups` to `mullvad-browser`-specific commits, new features, security backports
+- [ ] **`base-browser`** *and* **`tor-browser`** - `!fixups` to `base-browser`-specific commits or new features to be shared with `tor-browser`
+ - ⚠️ **IMPORTANT**: Please list the `base-browser`-specific commits which need to be cherry-picked to the `base-browser` and `tor-browser` branches here
+
+#### Target Channels
+
+- [ ] **Alpha**: esr128-14.5
+- [ ] **Stable**: esr128-14.0
+
### Backporting
#### Timeline
+- [ ] **No Backport (preferred)**: patchset for the next major stable
- [ ] **Immediate**: patchset needed as soon as possible
- [ ] **Next Minor Stable Release**: patchset that needs to be verified in nightly before backport
- [ ] **Eventually**: patchset that needs to be verified in alpha before backport
-- [ ] **No Backport (preferred)**: patchset for the next major stable
#### (Optional) Justification
- [ ] **Emergency security update**: patchset fixes CVEs, 0-days, etc
@@ -23,11 +46,6 @@
- [ ] **Localization**: typos and other localization changes that should be also in the release branch
- [ ] **Other**: please explain
-### Merging
-- [ ] Merge to `mullvad-browser` - `!fixups` to `mullvad-browser`-specific commits, new features, security backports
-- [ ] Merge to `base-browser` -`!fixups` to `base-browser`-specific commits, new features to be shared with `tor-browser`
- - **NOTE**: if your changeset includes patches to both `base-browser` and `mullvad-browser` please clearly label in the change description which commits should be cherry-picked to `base-browser` after merging
-
### Issue Tracking
- [ ] Link resolved issues with appropriate [Release Prep issue](https://gitlab.torproject.org/groups/tpo/applications/-/issues/?sort… for changelog generation
@@ -36,7 +54,7 @@
#### Request Reviewer
- [ ] Request review from an applications developer depending on modified system:
- - **NOTE**: if the MR modifies multiple areas, please `/cc` all the relevant reviewers (since gitlab only allows 1 reviewer)
+ - **NOTE**: if the MR modifies multiple areas, please `/cc` all the relevant reviewers (since Gitlab only allows 1 reviewer)
- **accessibility** : henry
- **android** : clairehurst, dan
- **build system** : boklm
@@ -44,21 +62,22 @@
- **firefox internals (XUL/JS/XPCOM)** : jwilde, ma1
- **fonts** : pierov
- **frontend (implementation)** : henry
- - **frontend (review)** : donuts, richard
+ - **frontend (review)** : donuts, morgan
- **localization** : henry, pierov
- **macOS** : clairehurst, dan
- **nightly builds** : boklm
- - **rebases/release-prep** : dan, ma1, pierov, richard
+ - **rebases/release-prep** : dan, ma1, pierov, morgan
- **security** : jwilde, ma1
- - **signing** : boklm, richard
+ - **signing** : boklm, morgan
- **updater** : pierov
- - **windows** : jwilde, richard
- - **misc/other** : pierov, richard
+ - **windows** : jwilde, morgan
+ - **misc/other** : pierov, morgan
#### Change Description
<!-- Whatever context the reviewer needs to effectively review the patchset; if the patch includes UX updates be sure to include screenshots/video of how any new behaviour -->
+
#### How Tested
<!-- Description of steps taken to verify the change -->
View it on GitLab: https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/compare/b5…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/compare/b5…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch tor-browser-128.4.0esr-14.5-1 at The Tor Project / Applications / Tor Browser
Commits:
38620b67 by Morgan at 2024-11-14T01:57:48+00:00
fixup! Adding issue and merge request templates
Bug 43295: Update MR templates
- - - - -
1 changed file:
- .gitlab/merge_request_templates/default.md
Changes:
=====================================
.gitlab/merge_request_templates/default.md
=====================================
@@ -2,18 +2,42 @@
<!-- Bookkeeping information for release management -->
-### Related Issues
+### Issues
+
+#### Resolves
- tor-browser#xxxxx
- mullvad-browser#xxxxx
- tor-browser-build#xxxxx
+#### Related
+
+- tor-browser#xxxxx
+- mullvad-browser#xxxxx
+- tor-browser-build#xxxxx
+
+### Merging
+
+<!-- This block tells the merger where commits need to be merged and future code archaeologists where commits were *supposed* to be merged -->
+
+#### Target Branches
+
+- [ ] **`tor-browser`** - `!fixups` to `tor-browser`-specific commits, new features, security backports
+- [ ] **`base-browser`** *and* **`mullvad-browser`** - `!fixups` to `base-browser`-specific commits, new features to be shared with `mullvad-browser`, and security backports
+ - ⚠️ **IMPORTANT**: Please list the `base-browser`-specific commits which need to be cherry-picked to the `base-browser` and `mullvad-browser` branches here
+
+#### Target Channels
+
+- [ ] **Alpha**: esr128-14.5
+- [ ] **Stable**: esr128-14.0
+- [ ] **Legacy**: esr115-13.5
+
### Backporting
#### Timeline
+- [ ] **No Backport (preferred)**: patchset for the next major stable
- [ ] **Immediate**: patchset needed as soon as possible
- [ ] **Next Minor Stable Release**: patchset that needs to be verified in nightly before backport
- [ ] **Eventually**: patchset that needs to be verified in alpha before backport
-- [ ] **No Backport (preferred)**: patchset for the next major stable
#### (Optional) Justification
- [ ] **Emergency security update**: patchset fixes CVEs, 0-days, etc
@@ -24,11 +48,6 @@
- [ ] **Localization**: typos and other localization changes that should be also in the release branch
- [ ] **Other**: please explain
-### Merging
-- [ ] Merge to `tor-browser` - `!fixups` to `tor-browser`-specific commits, new features, security backports
-- [ ] Merge to `base-browser` - `!fixups` to `base-browser`-specific commits, new features to be shared with `mullvad-browser`, and security backports
- - **NOTE**: if your changeset includes patches to both `base-browser` and `tor-browser` please clearly label in the change description which commits should be cherry-picked to `base-browser` after merging
-
### Issue Tracking
- [ ] Link resolved issues with appropriate [Release Prep issue](https://gitlab.torproject.org/groups/tpo/applications/-/issues/?sort… for changelog generation
@@ -37,7 +56,7 @@
#### Request Reviewer
- [ ] Request review from an applications developer depending on modified system:
- - **NOTE**: if the MR modifies multiple areas, please `/cc` all the relevant reviewers (since gitlab only allows 1 reviewer)
+ - **NOTE**: if the MR modifies multiple areas, please `/cc` all the relevant reviewers (since Gitlab only allows 1 reviewer)
- **accessibility** : henry
- **android** : clairehurst, dan
- **build system** : boklm
@@ -45,21 +64,22 @@
- **firefox internals (XUL/JS/XPCOM)** : jwilde, ma1
- **fonts** : pierov
- **frontend (implementation)** : henry
- - **frontend (review)** : donuts, richard
+ - **frontend (review)** : donuts, morgan
- **localization** : henry, pierov
- **macOS** : clairehurst, dan
- **nightly builds** : boklm
- - **rebases/release-prep** : dan, ma1, pierov, richard
+ - **rebases/release-prep** : dan, ma1, pierov, morgan
- **security** : jwilde, ma1
- - **signing** : boklm, richard
+ - **signing** : boklm, morgan
- **updater** : pierov
- - **windows** : jwilde, richard
- - **misc/other** : pierov, richard
+ - **windows** : jwilde, morgan
+ - **misc/other** : pierov, morgan
#### Change Description
<!-- Whatever context the reviewer needs to effectively review the patchset; if the patch includes UX updates be sure to include screenshots/video of how any new behaviour -->
+
#### How Tested
<!-- Description of steps taken to verify the change -->
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/38620b6…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/38620b6…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch base-browser-128.4.0esr-14.5-1 at The Tor Project / Applications / Tor Browser
Commits:
56ffe58d by Morgan at 2024-11-14T01:56:46+00:00
fixup! Adding issue and merge request templates
Bug 43295: Update MR templates
- - - - -
1 changed file:
- .gitlab/merge_request_templates/default.md
Changes:
=====================================
.gitlab/merge_request_templates/default.md
=====================================
@@ -2,18 +2,42 @@
<!-- Bookkeeping information for release management -->
-### Related Issues
+### Issues
+
+#### Resolves
- tor-browser#xxxxx
- mullvad-browser#xxxxx
- tor-browser-build#xxxxx
+#### Related
+
+- tor-browser#xxxxx
+- mullvad-browser#xxxxx
+- tor-browser-build#xxxxx
+
+### Merging
+
+<!-- This block tells the merger where commits need to be merged and future code archaeologists where commits were *supposed* to be merged -->
+
+#### Target Branches
+
+- [ ] **`tor-browser`** - `!fixups` to `tor-browser`-specific commits, new features, security backports
+- [ ] **`base-browser`** *and* **`mullvad-browser`** - `!fixups` to `base-browser`-specific commits, new features to be shared with `mullvad-browser`, and security backports
+ - ⚠️ **IMPORTANT**: Please list the `base-browser`-specific commits which need to be cherry-picked to the `base-browser` and `mullvad-browser` branches here
+
+#### Target Channels
+
+- [ ] **Alpha**: esr128-14.5
+- [ ] **Stable**: esr128-14.0
+- [ ] **Legacy**: esr115-13.5
+
### Backporting
#### Timeline
+- [ ] **No Backport (preferred)**: patchset for the next major stable
- [ ] **Immediate**: patchset needed as soon as possible
- [ ] **Next Minor Stable Release**: patchset that needs to be verified in nightly before backport
- [ ] **Eventually**: patchset that needs to be verified in alpha before backport
-- [ ] **No Backport (preferred)**: patchset for the next major stable
#### (Optional) Justification
- [ ] **Emergency security update**: patchset fixes CVEs, 0-days, etc
@@ -24,11 +48,6 @@
- [ ] **Localization**: typos and other localization changes that should be also in the release branch
- [ ] **Other**: please explain
-### Merging
-- [ ] Merge to `tor-browser` - `!fixups` to `tor-browser`-specific commits, new features, security backports
-- [ ] Merge to `base-browser` - `!fixups` to `base-browser`-specific commits, new features to be shared with `mullvad-browser`, and security backports
- - **NOTE**: if your changeset includes patches to both `base-browser` and `tor-browser` please clearly label in the change description which commits should be cherry-picked to `base-browser` after merging
-
### Issue Tracking
- [ ] Link resolved issues with appropriate [Release Prep issue](https://gitlab.torproject.org/groups/tpo/applications/-/issues/?sort… for changelog generation
@@ -37,7 +56,7 @@
#### Request Reviewer
- [ ] Request review from an applications developer depending on modified system:
- - **NOTE**: if the MR modifies multiple areas, please `/cc` all the relevant reviewers (since gitlab only allows 1 reviewer)
+ - **NOTE**: if the MR modifies multiple areas, please `/cc` all the relevant reviewers (since Gitlab only allows 1 reviewer)
- **accessibility** : henry
- **android** : clairehurst, dan
- **build system** : boklm
@@ -45,21 +64,22 @@
- **firefox internals (XUL/JS/XPCOM)** : jwilde, ma1
- **fonts** : pierov
- **frontend (implementation)** : henry
- - **frontend (review)** : donuts, richard
+ - **frontend (review)** : donuts, morgan
- **localization** : henry, pierov
- **macOS** : clairehurst, dan
- **nightly builds** : boklm
- - **rebases/release-prep** : dan, ma1, pierov, richard
+ - **rebases/release-prep** : dan, ma1, pierov, morgan
- **security** : jwilde, ma1
- - **signing** : boklm, richard
+ - **signing** : boklm, morgan
- **updater** : pierov
- - **windows** : jwilde, richard
- - **misc/other** : pierov, richard
+ - **windows** : jwilde, morgan
+ - **misc/other** : pierov, morgan
#### Change Description
<!-- Whatever context the reviewer needs to effectively review the patchset; if the patch includes UX updates be sure to include screenshots/video of how any new behaviour -->
+
#### How Tested
<!-- Description of steps taken to verify the change -->
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/56ffe58…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/commit/56ffe58…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch maint-14.0 at The Tor Project / Applications / tor-browser-build
Commits:
a6600db7 by Morgan at 2024-11-14T00:08:29+00:00
Bug 41291: Enable mingw changes for WebRTC unconditionally
- - - - -
2272e06e by Morgan at 2024-11-14T00:09:41+00:00
Bug 41299: Mullvad Browser 14.0 build2
- - - - -
3 changed files:
- projects/mingw-w64-clang/build
- projects/mingw-w64-clang/config
- rbm.conf
Changes:
=====================================
projects/mingw-w64-clang/build
=====================================
@@ -89,9 +89,7 @@ EOF
patch -p1 < "$rootdir/mingw-dispatchqueue.patch"
patch -p1 < "$rootdir/mingw-ts_sd.patch"
patch -p1 < "$rootdir/mingw-composition.patch"
- [% IF !c("var/release") %]
- patch -p1 < "$rootdir/mingw-webrtc.patch"
- [% END %]
+ patch -p1 < "$rootdir/mingw-webrtc.patch"
cd $builddir/mingw-w64-clang/mingw-w64-headers
mkdir build && cd build
=====================================
projects/mingw-w64-clang/config
=====================================
@@ -1,7 +1,7 @@
# vim: filetype=yaml sw=2
filename: '[% project %]-[% c("version") %]-[% pc("llvm-project", "version") %]-[% c("var/build_id") %].tar.[% c("compress_tar") %]'
git_url: https://git.code.sf.net/p/mingw-w64/mingw-w64
-git_hash: '[% IF c("var/release") %]cd4cf9b279f8fb0815f8b9665d3cea60a30290bc[% ELSE %]4ef04b0a7f7a20735de2f58b5c0496fcb4c7d191[% END -%]'
+git_hash: '4ef04b0a7f7a20735de2f58b5c0496fcb4c7d191'
version: '[% c("abbrev") %]'
container:
use_container: 1
@@ -36,4 +36,3 @@ input_files:
- filename: mingw-ts_sd.patch
- filename: mingw-composition.patch
- filename: mingw-webrtc.patch
- enable: '[% !c("var/release") %]'
\ No newline at end of file
=====================================
rbm.conf
=====================================
@@ -74,7 +74,7 @@ buildconf:
var:
torbrowser_version: '[% IF c("var/tor-browser") %]14.0.2[% ELSE %]14.0[% END %]'
- torbrowser_build: 'build1'
+ torbrowser_build: 'build2'
# This should be the date of when the build is started. For the build
# to be reproducible, browser_release_date should always be in the past.
browser_release_date: '2024/11/12 20:16:21'
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/compare/…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/compare/…
You're receiving this email because of your account on gitlab.torproject.org.